org.eclnt.util.image

## Class ServerImageManager

- java.lang.Object
- - org.eclnt.util.image.ServerImageManager

-     public class ServerImageManager
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.awt.Dimension` | `calculateDeminesionOfSVGImage(java.lang.String svg)`
    `protected java.awt.Dimension` | `calculateDimensionOfBinaryImage(java.lang.String image, byte[] imgBytes)`
    `protected java.awt.Dimension` | `calculateDimensionOfSVGImage(java.lang.String image, byte[] imgBytes)`
    `protected boolean` | `checkIfSVGImage(java.lang.String image)`
    `void` | `clear()`
    `java.awt.Dimension` | `getDimensionOfImage(java.lang.String image)`
    `static ServerImageManager` | `getInstance()`
    `static void` | `initialize(ServletContext context)`
    `byte[]` | `readDynamicImage(java.lang.String dynImage)`
    `byte[]` | `readImage(java.lang.String dynImage)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### initialize

          public static void initialize(ServletContext context)

    - #### getInstance

          public static ServerImageManager getInstance()

    - #### readImage

          public byte[] readImage(java.lang.String dynImage)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### readDynamicImage

          public byte[] readDynamicImage(java.lang.String dynImage)
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getDimensionOfImage

          public java.awt.Dimension getDimensionOfImage(java.lang.String image)
                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### checkIfSVGImage

          protected boolean checkIfSVGImage(java.lang.String image)

    - #### calculateDimensionOfSVGImage

          protected java.awt.Dimension calculateDimensionOfSVGImage(java.lang.String image,
                                                                    byte[] imgBytes)

    - #### calculateDeminesionOfSVGImage

          public static java.awt.Dimension calculateDeminesionOfSVGImage(java.lang.String svg)

    - #### calculateDimensionOfBinaryImage

          protected java.awt.Dimension calculateDimensionOfBinaryImage(java.lang.String image,
                                                                       byte[] imgBytes)

    - #### clear

          public void clear()

Copyright © CaptainCasa Gmbh. All Rights Reserved.